Summary: Command-line search for Revelation Password Manager files
Name: relevation
Version: @VERSION@
Release: 1.pon%{?dist}
License: BSD
Packager: @PACKAGER@
Group: Applications/Text
URL: http://p.outlyer.net/relevation/
Source: http://p.outlyer.net/relevation/files/relevation-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: libxml2-python
Requires: python-crypto
Requires: python-lxml

%description
Relevation is a tool to retrieve passwords stored in a password file in the
format used by Revelation, from the command-line instead of through a GUI.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
make install prefix=%{_prefix} DESTDIR=%{buildroot}
# We include the extra tools as %%doc, remove from here
rm -rf %{buildroot}%{_prefix}/share/doc/relevation/extra/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE
%doc gui.py devtools/*.py
%{_bindir}/relevation
%{_mandir}/man1/relevation.1*


%changelog
* Wed Oct 30 2013 Toni Corvera <outlyer@gmail.com> 1.2.1-1.pon
- Integrated spec from Fedora into upstream source

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Matthias Saou <matthias@saou.eu> 1.1-3
- Add missing python-lxml requirement (#807335).

* Mon Mar 26 2012 Matthias Saou <matthias@saou.eu> 1.1-2
- Fix URL vs. email in spec changelog.

* Mon Jul 18 2011 Matthias Saou <matthias@saou.eu> 1.1-1
- Update to 1.1.
- New extra tools, remove the "make install"ed ones, include them as %%doc.

* Mon Jul  4 2011 Matthias Saou <matthias@saou.eu> 1.0-1
- Initial RPM release.

